spring.application.name=hpay_mobile_api

##spring.datasource.url=jdbc:mysql://localhost:3306/hpaytest_devhpaycash1
#spring.datasource.url=jdbc:mysql://hpay2.cp8quemier9e.us-east-1.rds.amazonaws.com:3306/${DB_HOST:hpaytest}
##spring.datasource.username=nano1
#spring.datasource.username=${DB_USER:admin}
##spring.datasource.password=nano1992*
#spring.datasource.password=${DB_PASSWORD:admin2025*}
spring.jpa.hibernate.ddl-auto=none
spring.jpa.properties.hibernate.show_sql=true
#spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.MySQL8Dialect

spring.datasource.url=jdbc:mysql://hpaytest.cash:3306/hpaytest_devhpaycash?useSSL=false&allowPublicKeyRetrieval=true&serverTimezone=UTC
spring.datasource.username=hpaytest_hpayapi
spring.datasource.password=HPayApi123
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver


# Enable Hibernate's automatic session context management
spring.jpa.properties.hibernate.current_session_context_class=thread


# HikariCP connection pool settings
spring.datasource.hikari.maximum-pool-size=10
spring.datasource.hikari.minimum-idle=5
spring.datasource.hikari.idle-timeout=30000
spring.datasource.hikari.connection-timeout=30000

spring.jackson.serialization.FAIL_ON_EMPTY_BEANS=false

# Mail Server Configuration
# SMTP Configuration
spring.mail.host=mail.hpaytest.cash
spring.mail.port=465
spring.mail.username=no-reply@hpaytest.cash
spring.mail.password=kOyWT(6NF#jg@
spring.mail.protocol=smtp
spring.mail.smtp.auth=true
spring.mail.smtp.ssl.enable=true
spring.mail.default-encoding=UTF-8

#for aws beans talk
server.port=5000

aws.accessKeyId=AKIA5WLTTBTYTSBB5QW5
aws.secretAccessKey=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
aws.s3.bucketName=hpay-files
aws.region=ca-central-1

app.firebase-configuration-file=wechrist-firebase.json


management.endpoints.web.exposure.include=*
management.health.db.enabled=true
management.health.mail.enabled=false
management.endpoint.health.show-details=always


#local
#client.photo.upload-dir = ${UPLOAD_DIR:C:\\Users\\Personnel\\IdeaProjects\\hpay_mobile_api\\files}
#client.photo.base-url = ${BASE_URL:http://10.0.0.133:5000/api/auth/photos/}
#client.sponsorship.registration-base-url = ${REG_BASE_URL:https://devmobile.hpaytest.cash/sign-up.php?ref=}
#client.photo.profile.base-url = ${BASE_URL:http://10.0.0.133:5000/api/auth/photos/}
#client.qr.parrainage.base-url = ${BASE_URL:http://10.0.0.133:5000/api/auth/photos/}
#client.photo.profile.upload-dir = ${UPLOAD_DIR:C:\\Users\\Personnel\\IdeaProjects\\hpay_mobile_api\\files}
#client.qr.parrainage.upload-dir = ${UPLOAD_DIR:C:\\Users\\Personnel\\IdeaProjects\\hpay_mobile_api\\files}


#serveur

#Chemin absolu sur le disque pour l'enregistrement des photos
client.photo.upload-dir = ${UPLOAD_DIR:/home/hpaytest/devmanager.hpaytest.cash/CAISSE/pieces_clients}

# URL publique pour accéder aux photos (ex: pour afficher dans l'appli mobile ou navigateur)
client.photo.base-url = ${BASE_URL:https://devmanager.hpaytest.cash/CAISSE/pieces_clients/}

# Lien d'inscription avec code parrain
client.sponsorship.registration-base-url = ${REG_BASE_URL:https://devmobile.hpaytest.cash/sign-up.php?ref=}

# Chemin absolu sur le disque pour l'enregistrement des photos de profile
client.photo.profile.upload-dir = ${UPLOAD_DIR:/home/hpaytest/devmanager.hpaytest.cash/CAISSE/photo}

# URL publique pour accéder aux photos de profile (ex: pour afficher dans l'appli mobile ou navigateur) https://devmicro-franchise.hpaytest.cash/photos/
client.photo.profile.base-url = ${BASE_URL:https://devmanager.hpaytest.cash/CAISSE/photos/}

# Chemin absolu sur le disque pour l'enregistrement des QR codes Parrainage
client.qr.parrainage.upload-dir = ${UPLOAD_DIR:/home/hpaytest/devmanager.hpaytest.cash/CLIENT/pages/parrainage/qrcodes}

# URL publique pour accéder aux QR codes Parrainage (ex: pour afficher dans l'appli mobile ou navigateur)
client.qr.parrainage.base-url = ${BASE_URL:https://devmanager.hpaytest.cash/CLIENT/pages/parrainage/qrcodes/}
